%define lib_name_orig         lib%{name}
%define lib_api               2.3
%define lib_major             2
%define lib_name              %mklibname %{name} %{lib_api} %{lib_major}
%define lib_name_devel        %mklibname %{name} -d
%define lib_name_static_devel %mklibname %{name} -d -s

Name:           ZThread
Version:        %{lib_api}.%{lib_major}
Release:        %mkrel 3
URL:            http://zthread.sourceforge.net/
Summary:        Cross-platform C++ multi-threading framework
License:        LGPL
Group:          System/Libraries
Source0:        http://internap.dl.sourceforge.net/sourceforge/zthread/ZThread-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
%name is an advanced platform-independent, Object-Oriented threading and
synchronization library. It has been designed and tested under POSIX & Win32
systems. It is not just another thread wrapper.

%package -n %{lib_name}
Summary:        Libraries needed by %name
Group:          System/Libraries
Provides:       %{name} = %{version}-%{release}
Obsoletes:	%mklibname ZThread 1
Obsoletes:      %mklibname ZThread 2

%description -n %{lib_name}
%name is an advanced platform-independent, Object-Oriented threading and
synchronization library. It has been designed and tested under POSIX & Win32
systems. It is not just another thread wrapper. 

%package -n %{lib_name_devel}
Summary:        Development tools for %name
Group:          Development/C++
Requires:       %{lib_name} = %{version}-%{release}
Provides:       %{lib_name_orig}-devel = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Obsoletes:      %{mklibname %{name} 1}-devel < %{version}-%{release}

%description -n %{lib_name_devel}
This package contains the development libraries and header files
needed for development with %name.

%package -n     %{lib_name_static_devel}
Summary:        ZThread static library
Group:          Development/C++
Requires:       %{lib_name_devel} = %{version}-%{release}
Provides:       %{lib_name_orig}-static-devel = %{version}-%{release}
Provides:       %{name}-static-devel = %{version}-%{release}
Obsoletes:      %{mklibname %{name} 1}-static-devel < %{version}-%{release}

%description -n %{lib_name_static_devel}
%name static library.

%package      doc
Summary:        HTML formatted API documention for %{name}
Group:          Development/Other
Requires:       %{lib_name} = %{version}-%{release}
Obsoletes:	%{mklibname ZThread 2}-doc
Obsoletes:      %{mklibname ZThread 1}-doc

%description doc
This package contains HTML formatted API documention generated by
the popular doxygen documentation generation tool.

%prep
%setup -q

%build
CXXFLAGS="%{optflags} -fpermissive" \
%{configure2_5x}
%{make}

%install
%{__rm} -rf %{buildroot}
%{makeinstall}

%{__rm} %{buildroot}%{_includedir}/zthread/.*.swp

%multiarch_binaries %{buildroot}%{_bindir}/zthread-config

%clean
%{__rm} -rf %{buildroot}

%if %mdkversion < 200900
%post -n %{lib_name} -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%postun -n %{lib_name} -p /sbin/ldconfig
%endif

%files -n %{lib_name}
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS README TODO
%{_libdir}/lib*%{lib_api}.so.%{lib_major}*

%files -n %{lib_name_devel}
%defattr(-,root,root)
%{_bindir}/zthread-config
%multiarch %{multiarch_bindir}/zthread-config
%{_includedir}/*
%{_libdir}/*.so
%{_datadir}/aclocal/*.m4

%files -n %{lib_name_static_devel}
%defattr(-,root,root)
%{_libdir}/*.*a

%files doc
%defattr(-,root,root)
%doc doc/*


%changelog
* Thu Aug 07 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.3.2-3mdv2009.0
+ Revision: 266094
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Thu May 08 2008 Funda Wang <fundawang@mandriva.org> 2.3.2-2mdv2009.0
+ Revision: 204453
- fix libname
- fix requires of static devel package

* Wed Nov 07 2007 David Walluck <walluck@mandriva.org> 2.3.2-1mdv2008.1
+ Revision: 106622
- 2.3.2
- new lib policy
- import ZThread


* Tue Jun 15 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 2.3.1-2mdk
- rebuild
- compile with -fpermissive to allow build with gcc-3.4

* Wed Nov 26 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 2.3.1-1mdk
- 2.3.1
- cleaned up docs
- new major

* Wed Jul 09 2003 Per yvind Karlsen <peroyvind@sintrax.net> 2.2.11-1mdk
- 2.2.11
- use %%mklibname macro
- cosmetics
- use automake-1.7 and depend on it for building

* Tue May 27 2003 Lenny Cartier <lenny@mandrakesoft.com 2.2.10-3mdk
- adjust files list

* Sat Feb 01 2003 Lenny Cartier <lenny@mandrakesoft.com 2.2.10-2mdk
- rebuild

* Thu Nov 07 2002 Lenny Cartier <lenny@mandrakesoft.com> 2.2.10-1mdk
- from Per yvind Karlsen <peroyvind@delonic.no> :
	- First mdk release
